package com.ruoyi.system.mapper;


import com.ruoyi.system.domain.AsFeedback;

import java.util.List;

/**
 * 反馈意见Mapper接口
 *
 * @author qzz
 * @date 2024-10-18
 */
public interface AsFeedbackMapper
{
    /**
     * 查询反馈意见
     *
     * @param feedbackId 反馈意见主键
     * @return 反馈意见
     */
    public AsFeedback selectAsFeedbackByFeedbackId(Long feedbackId);

    /**
     * 查询反馈意见列表
     *
     * @param asFeedback 反馈意见
     * @return 反馈意见集合
     */
    public List<AsFeedback> selectAsFeedbackList(AsFeedback asFeedback);

    /**
     * 新增反馈意见
     *
     * @param asFeedback 反馈意见
     * @return 结果
     */
    public int insertAsFeedback(AsFeedback asFeedback);

    /**
     * 修改反馈意见
     *
     * @param asFeedback 反馈意见
     * @return 结果
     */
    public int updateAsFeedback(AsFeedback asFeedback);

    /**
     * 删除反馈意见
     *
     * @param feedbackId 反馈意见主键
     * @return 结果
     */
    public int deleteAsFeedbackByFeedbackId(Long feedbackId);

    /**
     * 批量删除反馈意见
     *
     * @param feedbackIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAsFeedbackByFeedbackIds(Long[] feedbackIds);
}
