package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EShareKey;

/**
 * 共享钥匙Mapper接口
 * 
 * @author 邱贞招
 * @date 2024-07-31
 */
public interface EShareKeyMapper 
{
    /**
     * 查询共享钥匙
     * 
     * @param keyId 共享钥匙主键
     * @return 共享钥匙
     */
    public EShareKey selectEShareKeyByKeyId(Long keyId);

    /**
     * 查询共享钥匙列表
     * 
     * @param eShareKey 共享钥匙
     * @return 共享钥匙集合
     */
    public List<EShareKey> selectEShareKeyList(EShareKey eShareKey);

    /**
     * 新增共享钥匙
     * 
     * @param eShareKey 共享钥匙
     * @return 结果
     */
    public int insertEShareKey(EShareKey eShareKey);

    /**
     * 修改共享钥匙
     * 
     * @param eShareKey 共享钥匙
     * @return 结果
     */
    public int updateEShareKey(EShareKey eShareKey);

    /**
     * 删除共享钥匙
     * 
     * @param keyId 共享钥匙主键
     * @return 结果
     */
    public int deleteEShareKeyByKeyId(Long keyId);

    /**
     * 批量删除共享钥匙
     * 
     * @param keyIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEShareKeyByKeyIds(Long[] keyIds);
}
