package com.ruoyi.system.service;

import com.ruoyi.system.domain.RlLocationLog;

import java.util.List;

/**
 * 定位日志Service接口
 *
 * @author ruoyi
 * @date 2024-08-20
 */
public interface IRlLocationLogService
{
    /**
     * 查询定位日志
     *
     * @param locationId 定位日志主键
     * @return 定位日志
     */
    public RlLocationLog selectEtLocationLogByLocationId(Long locationId);

    /**
     * 查询定位日志列表
     *
     * @param rlLocationLog 定位日志
     * @return 定位日志集合
     */
    public List<RlLocationLog> selectEtLocationLogList(RlLocationLog rlLocationLog);

    /**
     * 新增定位日志
     *
     * @param rlLocationLog 定位日志
     * @return 结果
     */
    public int insertEtLocationLog(RlLocationLog rlLocationLog);

    /**
     * 修改定位日志
     *
     * @param rlLocationLog 定位日志
     * @return 结果
     */
    public int updateEtLocationLog(RlLocationLog rlLocationLog);

    /**
     * 批量删除定位日志
     *
     * @param locationIds 需要删除的定位日志主键集合
     * @return 结果
     */
    public int deleteEtLocationLogByLocationIds(Long[] locationIds);

    /**
     * 删除定位日志信息
     *
     * @param locationId 定位日志主键
     * @return 结果
     */
    public int deleteEtLocationLogByLocationId(Long locationId);

    /**
     * 解析参数
     *
     * @param list
     * @return 结果
     */
    public List<RlLocationLog> analytic(List<RlLocationLog> list);
}
